Next Previous Contents

## 3.57 em_use

> Function

>   Prepare an extended memory page for use.

> Header

>   `em.h`

> Declaration

>   `void* __fastcall__ em_use (unsigned page);`

> Description

>   The function maps one page of extended memory into linear memory and returns a pointer to the page frame. This function is similar to `em_map`, but will not transfer data into the actual memory window in the assumption that the existing data is wrong or will get overwritten.

> Limits

>   - Calling `em_use` will invalidate the memory window, so if you made any changes to the data in the window, call `em_commit` first, or the changes are lost.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - The function produces undefined results if no extended memory driver is loaded.
> Availability

>   cc65

> See also

>   em_commit, em_load_driver, em_map

> Example

>   None.

Next Previous Contents